%global _description %{expand:
JupyterLab Server sits between JupyterLab and Jupyter Server, and provides
a set of REST API handlers and utilities that are used by JupyterLab.
It is a separate project in order to accommodate creating JupyterLab-like
applications from a more limited scope.}

Summary:        A set of server components for JupyterLab and JupyterLab like applications
Name:           python-jupyterlab-server
Version:        2.27.2
Release:        1%{?dist}
License:        BSD-3-Clause
URL:            https://jupyterlab-server.readthedocs.io
Source0:        %{pypi_source jupyterlab_server}

BuildRequires:  python3-devel
BuildArch:      noarch

%description %_description

%package -n     python3-jupyterlab-server
Summary:        A set of server components for JupyterLab and JupyterLab like applications

%description -n python3-jupyterlab-server %_description

%package -n python3-jupyterlab-server+test
Summary: Metapackage for python3-jupyterlab-server: test extras
Requires: python3-jupyterlab-server = %{version}-%{release}

%description -n python3-jupyterlab-server+test
This is a metapackage bringing in test extras requires for
python3-jupyterlab-server.
It makes sure the dependencies are installed.

%prep
%autosetup -p1 -n jupyterlab_server-%{version}
sed -i '/"openapi-spec-validator/d' pyproject.toml
sed -i '/"openapi_core/d' pyproject.toml
sed -i '/"jupyterlab_server\[openapi\]/d' pyproject.toml
sed -i '/"pytest-cov/d' pyproject.toml
sed -i '/"codecov/d' pyproject.toml
sed -i '/"hatch\b/d' pyproject.toml
sed -i '/pytest/s/,<8//' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -x test


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files jupyterlab_server

%check
%pytest -Wdefault \
        --ignore=tests/test_{labapp,listings_api,settings_api,themes_api,translation_api,workspaces_api}.py \
        -k "not test_which and not test_process_app"

%files -n python3-jupyterlab-server -f %{pyproject_files}
%doc README.md

%files -n python3-jupyterlab-server+test
%ghost %{python3_sitelib}/jupyterlab_server-%{version}.dist-info


%changelog
* Fri Jun 14 2024 Shuo Wang <abushwang@tencent.com> - 2.27.2-1
- initial build
